Neueste Subscription Feature

Mehr erfahren

Bootstrap 3 Layouts

Mehr erfahren

Spezielle Feldtypen

Mehr erfahren

Mehrseitige Formulare

Mehr erfahren

Formulardaten editieren

Bootstrap 3 Layouts

Compatible Joomla! 3

Visforms in Bootstrap 3 Templates integrieren

Dieses Feature ist Teil der Visforms Subscription und in der freien Visforms Version nicht enthalten..

Hinsichtlich der Umsetzung des Layouts geht Visforms einen anderen Weg als viele andere Formularkomponenten. Anstatt mit sehr viel eigenem Code zum Stylen des Formulars zu kommen, versucht Visforms sich nahtlos ins Look & Feel Ihres Templates einzupassen, indem es die Styles des Templates verwendet.

Diese Herangehensweise wird insbesondere dadurch unterstützt, dass Joomla! selbst festgelegt hat, dass aller HTML-Code der durch Joomla! erzeugt wird einem bestimmten Standard entspricht - dem Boostrap 2.3.2 Standard. Hierdurch wird sichergestellt, dass bei Verwendung der Boostrap 2.3.2 Styles auf Ihrer Webseite, die Webseite automatisch "gut aussieht". Visforms schließt sich dieser Philosophpie an und erzeugt ebenfalls HTML-Code der den Bootstrap 2.3.2 Standards entspricht.

Seit der Einführung von Joomla! 3 wurde Boostrap weiterentwickelt (und verbessert). Einige Template Hersteller verwenden deshalb das neuere Boostrap 3 in Ihren Templates, obwohl dieses nicht kompatible mit Joomla! 3 ist. Manche Template Hersteller bzw. Template Frameworks, wie z.B. das Helix 3 Framework, verwenden zwar Bootstrap 3 stellen aber zusätzlich sicher, dass Ihre Templates auch mit Bootstrap 2.3.2 Styles ordentlich funktionieren.

Der Code, der nötig ist um Formulare in Bootstrap 3 Layouts anzuzeigen, ist jedoch sehr unterschiedlich vom Code für Bootstrap 2.3.2 Formulare. Damit Formulare sich auch bei Visforms-Nutzer, die ein Bootstrap 3 Template verwenden ordentlich in die Webseite einpassen, haben wir die Erweiterung "Bootstrap 3 Layouts" entwickelt.

Bitte beachten Sie: Sie benötigen diese Erweiterung nur, wenn Sie ein reines Bootstrap 3 Template haben, das auch kein Bootstrap 2.3.2 Legacy CSS hat. Bitte fragen Sie unbedingt zuerst bei Ihrem Template Hersteller nach ob Ihr Template ein reines Bootstrap 3 Template - ohne Bootstrap 2.3.2 Legacy CSS - ist, bevor Sie diese Erweiterung kaufen!

DokumentationPassende Subscription findenSubscription Feature Übersicht